Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::IconViewSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::IconView. More...

`#include <xfc/gtk/iconviewsignals.hh>`

Inheritance diagram for Xfc::Gtk::IconViewSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_set_scroll_adjustments (Adjustment *hadjustment, Adjustment *vadjustment)
    Called when an icon view is added to a scrolling aware parent.
- virtual void on_item_activated (const TreePath &path)
    Called when the item determined by path is activated.
- virtual void on_selection_changed ()
    Called whenever the selection in the icon view changes.

## Protected Member Functions

Constructors

- IconViewSignals (IconView *icon_view)
    Constructs a new IconViewSignals object.
- virtual ~IconViewSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::IconView.

## Constructor & Destructor Documentation

Xfc::Gtk::IconViewSignals::IconViewSignals | ( | IconView * | icon_view | ) | `[protected]`

Constructs a new IconViewSignals object.

Parameters:

  | icon_view | A IconView object inheriting the IconViewSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::IconViewSignals::on_item_activated | ( | const TreePath & | path | ) | `[virtual]`

Called when the item determined by path is activated.

Parameters:

  | path | The path to the item being activated.

virtual void Xfc::Gtk::IconViewSignals::on_set_scroll_adjustments | ( | Adjustment * | hadjustment,
|  | Adjustment * | vadjustment
| ) | `[virtual]`

Called when an icon view is added to a scrolling aware parent.

Parameters:

  | hadjustment | The horizontal adjustment.
  | vadjustment | The vertical adjustment.

The documentation for this class was generated from the following file:

- iconviewsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3